=== debian/changelog ===
pd-iemnet (0.1-3) unstable; urgency=low

  [ Felipe Sateler ]
  * Cosmetic debian/control fixes

  [ IOhannes m zmölnig ]
  * Pushed standards to 3.9.2
  * Build-Depend on puredata-dev|puredata
  * Depend on puredata-core|pd
  * Updated debian/copyright to final DEP-5 format
  * Enabled hardened builds
  * Compat level 9 (Build-Depend on debhelper>=9)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 28 Jun 2012 17:16:46 -0400

pd-iemnet (0.1-2) unstable; urgency=low

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * FTBFS-fixes for non-linux (Closes: #605827)
  * Removed the '--with-quilt' option, we use v3 (quilt) format
  * Shortened Vcs stanzas

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 15 Apr 2011 18:02:08 +0200

pd-iemnet (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #599229)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 18 Oct 2010 15:49:33 +0200
