=== debian/control ===
Source: pd-iemnet
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: debhelper (>= 9),
 puredata-dev | puredata  (>= 0.42.5-3)
Standards-Version: 3.9.3
Section: sound
Homepage: http://puredata.info/community/projects/software/iemnet
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-iemnet
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-iemnet.git

Package: pd-iemnet
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd
Description: Pd library for low-level networking
 This library adds Pure Data objects that allow to build a networking
 infrastructure within Pd on OSI-Layer 4 (transport layer).
 The objects use threads to allow for non-blocking network communication within
 an audio-realtime environment.
 .
 [tcpreceive], [tcpsend]: unidirectional communication over TCP/IP
 [tcpserver], [tcpclient]: bidirectional communication over TCP/IP
 [udpreceive], [udpsend]: unidirectional communication over UDP
 [udpclient]: bidirectional communication over UDP
 .
 Since these objects only send/receive lists of bytes, you will most likely need
 to add some glue to implement higher-level protocols (and transmit meaningful
 data).
