=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- pkglibdir=/usr/lib/pd/extra

override_dh_shlibdeps:
	dpkg-shlibdeps debian/pd-iemnet/usr/lib/pd/extra/iemnet/*.pd_linux \
           -Tdebian/pd-iemnet.substvars

override_dh_strip:
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
	   debian/pd-iemnet/usr/lib/pd/extra/iemnet/*.pd_linux
