=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more. 
version=3
http://sf.net/pure-data/iemnet-(.*)\.tar\.gz
