=== debian/changelog ===
pd-iemnet (0.2.1-1) unstable; urgency=medium

  * Imported Upstream version 0.2.1

  [ IOhannes m zmölnig ]
  * Removed patches applied upstream
  * Change debian/watch file to monitor upstream's github page
  * Removed Debian specific .gitignore

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 04 Sep 2015 22:39:15 +0200

pd-iemnet (0.2-1) unstable; urgency=medium

  * Imported Upstream version 0.2
    * Removed patches applied upstream

  [ IOhannes m zmölnig ]
  * Reproducible builds:
    - Replace timestamp with time from debian/changelog
  * Re-did enabling of hardening builds
  * During build, re-enable call to dh_shlibdeps
  * Provide pd-net
    * Provide alternative for pd-net
    * Provide net-meta.pd
  * Mention IEM in the package description
  * Fixed spelling errors
  * Canonical Vcs-* stanzas
  * Updated debian/watch to new homepage
  * Fixed my uploader's name/email

  * Bumped standards to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Sep 2015 21:35:33 +0200
