=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Roman Haefeli <reduzent@gmail.com>,
- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 9),
  puredata-dev | puredata  (>= 0.42.5-3)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Section: sound
 Homepage: http://puredata.info/community/projects/software/iemnet
-Vcs-Git: git://git.debian.org/pkg-multimedia/pd-iemnet
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-iemnet.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-iemnet.git
 
 Package: pd-iemnet
@@ -17,8 +17,12 @@
  ${shlibs:Depends},
  ${misc:Depends},
  puredata-core | pd
-Description: Pd library for low-level networking
- This library adds Pure Data objects that allow to build a networking
+Provides: pd-net
+Description: Pd library for low-level networking (IEM implementation)
+ This is a re-implementation of the original pd-net library by Martin Peach,
+ focussing on reliability and performance.
+ .
+ This library adds Pure Data objects that allow one to build a networking
  infrastructure within Pd on OSI-Layer 4 (transport layer).
  The objects use threads to allow for non-blocking network communication within
  an audio-realtime environment.
