=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for iemnet

BUILD_DATE=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"for Debian on %Y/%m/%d at %H:%M:%S UTC")
export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(BUILD_DATE)"'

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- pkglibdir=/usr/lib/pd/extra

override_dh_shlibdeps:
	dh_shlibdeps
	dpkg-shlibdeps debian/pd-iemnet/usr/lib/pd/extra/iemnet/*.pd_linux \
           -Tdebian/pd-iemnet.substvars

override_dh_strip:
	dh_strip
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
	   debian/pd-iemnet/usr/lib/pd/extra/iemnet/*.pd_linux
