=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more. 
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pd-iemnet-$1\.tar\.gz/ \
  https://github.com/umlaeute/pd-iemnet/tags .*/v?(\d\S*)\.tar\.gz
