=== debian/changelog ===
pd-iemnet (0.2.2-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * New upstream version 0.2.2
    * Switch build-system to pd-lib-builder
  * Declare that building this package doesn't require "root" powers
  * Switch d/watch to the canonical git.iem.at
  * Set pristine-tar compression to "bz2"
  * Bump dh-compat to 12
  * Bump standards-version to 4.4.1

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 15:17:26 +0100

pd-iemnet (0.2.1-2) unstable; urgency=medium

  * Simplified & unified d/rules
    * Bumped dh compat to 11
    * Enabled hardening
  * Recommend pd-osc
  * Itemized object-list
  * Canonical homepage for Pd-projects
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Switched URLs to https://
  * Removed trailing whitespace in debian/*
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:14:06 +0100
