=== debian/control ===
Source: pd-iemnet
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 pd-lib-builder,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Section: sound
Homepage: https://download.puredata.info/iemnet
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemnet.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemnet

Package: pd-iemnet
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd,
Recommends:
 pd-osc,
Provides: pd-net
Description: Pd library for low-level networking (IEM implementation)
 This is a re-implementation of the original pd-net library by Martin Peach,
 focussing on reliability and performance.
 .
 This library adds Pure Data objects that allow one to build a networking
 infrastructure within Pd on OSI-Layer 4 (transport layer).
 The objects use threads to allow for non-blocking network communication within
 an audio-realtime environment.
 .
  - [tcpreceive], [tcpsend]: unidirectional communication over TCP/IP
  - [tcpserver], [tcpclient]: bidirectional communication over TCP/IP
  - [udpreceive], [udpsend]: unidirectional communication over UDP
  - [udpclient]: bidirectional communication over UDP
 .
 Since these objects only send/receive lists of bytes, you will most likely need
 to add some glue to implement higher-level protocols (and transmit meaningful
 data).
