=== debian/watch ===
# to be processed with uscan(1)
version=3
  https://git.iem.at/pd/iemnet/tags .*/-/archive/v?@ANY_VERSION@/iemnet-.*@ARCHIVE_EXT@
