## pd-iemnet 0.3.0

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,15 @@
         udpreceive.c \
         udpsend.c \
         udpclient.c \
-        udpserver.c
+        udpserver.c \
+	$(empty)
 
 shared.sources = \
 	iemnet.c \
 	iemnet_data.c \
 	iemnet_receiver.c \
-	iemnet_sender.c
+	iemnet_sender.c \
+	$(empty)
 
 datafiles = \
 	iemnet-meta.pd \
@@ -30,14 +32,21 @@
 	udpserver-help.pd \
 	udpsndrcv-help.pd \
 	udpsndrcv.pd \
-	LICENSE.txt \
-	README.txt
+	LICENSE.md \
+	README.md \
+	$(empty)
 
-cflags = -DVERSION='"$(lib.version)"'
+iemnet.version := $(shell sed -n \
+    's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' \
+    iemnet-meta.pd)
+
+cflags = -DVERSION='"$(iemnet.version)"'
 
 define forWindows
   ldlibs = -lwsock32 -lpthread
 endef
+
+-include Makefile.local
 
 # This Makefile is based on the Makefile from pd-lib-builder written by
 # Katja Vetter. You can get it from:
