=== debian/changelog ===
pd-iemnet (0.3.0-6) unstable; urgency=medium

  * Update d/watch for new GitLab tags page
  * Add patch to fix FTBFS du to changed API (Closes: #1066548)
  * Add puredata:Provides
  * Switch to dh-sequence-puredata
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Jun 2024 12:10:07 +0200

pd-iemnet (0.3.0-5) unstable; urgency=medium

  * Build for both single and double-precision Pd
    + Prevent installation of .o files
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 14:29:09 +0200

pd-iemnet (0.3.0-4) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:44:44 +0100

pd-iemnet (0.3.0-3) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 27 Nov 2022 00:01:57 +0100

pd-iemnet (0.3.0-2) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:45:07 +0200

pd-iemnet (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
    * Drop patches applied upstream
  * Bump dh-compat to 13

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Jun 2020 13:17:01 +0200

pd-iemnet (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Backport patch to fix resource leak
  * Add salsa-ci configuration
  * Bump standards version to 4.5.0

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 12 Apr 2020 23:12:33 +0200
