=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
  Roman Haefeli <reduzent@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- pd-lib-builder,
+ debhelper-compat (= 13),
+ dh-sequence-puredata,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Section: sound
 Homepage: https://download.puredata.info/iemnet
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemnet.git
@@ -17,12 +17,17 @@
 Package: pd-iemnet
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata-core | pd,
 Recommends:
  pd-osc,
-Provides: pd-net
+ ${puredata:Recommends},
+Provides:
+ pd-net,
+ ${puredata:Provides},
+Suggests:
+ ${puredata:Suggests},
 Description: Pd library for low-level networking (IEM implementation)
  This is a re-implementation of the original pd-net library by Martin Peach,
  focussing on reliability and performance.
